EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • POST
                Create a episode exclusion request
              • GET
                List quality findings for a dataset version
              • GET
                List quality gate for a dataset version
              • GET
                List quality baselines for a project
              • GET
                List series for a quality baseline
              • POST
                Create a quality reinspection request
              • GET
                List quality rule set for a project
              • PUT
                Update a quality rule set
              • GET
                List health for a quality
              • GET
                List failing or warning quality checks for a project
              • GET
                List summary for a quality
              • GET
                List quality rule catalog
              • POST
                Create a preview request
              • GET
                List repair tasks
              • POST
                Create a repair task
              • GET
                Get a repair task
              • PATCH
                Update a repair task
              • GET
                List review tasks
              • GET
                Get a review task
              • PATCH
                Update a review task
              • POST
                Create a decision request
              • GET
                List quality policy for a current
              • PUT
                Update a quality policy
            • Search
              • Workflows
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Quality and tasks
                              4. Get a review task

                              Get a review task

                              GET
                              /v1/review-tasks/{reviewTaskId}
                              curl -X GET 'https://api.embodiflow.io/v1/review-tasks/{reviewTaskId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • reviewTaskIdstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • idstringrequired
                                • tenantIdstringrequired
                                • projectIdstringrequired
                                • workflowRunIdstringrequired
                                • subjectTypestringrequired
                                • subjectRefIdstringrequired
                                • statusstringrequired
                                • decisionstring | nullrequired
                                • reviewerProjectMembershipIdstring | nullrequired
                                • dueAtstring | nullrequired
                                • stepKeystringrequired
                                • taskTitlestringrequired
                                • overdueone ofrequired
                                • createdAtstringrequired
                                • updatedAtstringrequired
                              Response example
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "workflowRunId": "string",
                                  "subjectType": "string",
                                  "subjectRefId": "string",
                                  "status": "string",
                                  "decision": "string",
                                  "reviewerProjectMembershipId": "string",
                                  "dueAt": "string",
                                  "stepKey": "string",
                                  "taskTitle": "string",
                                  "overdue": false,
                                  "createdAt": "string",
                                  "updatedAt": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /review-tasks

                              Next

                              PATCH /review-tasks/{reviewTaskId}

                              curl -X GET 'https://api.embodiflow.io/v1/review-tasks/{reviewTaskId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "workflowRunId": "string",
                                  "subjectType": "string",
                                  "subjectRefId": "string",
                                  "status": "string",
                                  "decision": "string",
                                  "reviewerProjectMembershipId": "string",
                                  "dueAt": "string",
                                  "stepKey": "string",
                                  "taskTitle": "string",
                                  "overdue": false,
                                  "createdAt": "string",
                                  "updatedAt": "string"
                                }
                              }